| HaXml-1.19.7: Utilities for manipulating XML documents | Source code | Contents | Index

Text.XML.HaXml.Util

Contents

utility functions to access XML content

Description

- Only a shmall module containing some helper functions to extract xml content - I would have added this to Types but I've put it into an additional module - to avoid circular references (Verbatim - Types)

Synopsis

docContent :: i -> Document i -> Content i
contentElem :: Content i -> Element i
attrs :: Element i -> [Attribute]
tagTextContent

utility functions to access XML content

docContent :: i -> Document i -> Content i | Source

contentElem :: Content i -> Element i | Source

attrs :: Element i -> [Attribute] | Source

tagTextContent
Produced by Haddock version 2.4.2